<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<?php require_once('lib/nusoap.php'); ?>

<!--
	use example:
	http://banon-pc.dpi.inpe.br:1905/col/dpi.inpe.br/banon-pc.1905/2013/11.19.13.01/doc/index.php?author=Gerald+Jean+Francis+Banon
	http://banon-pc.dpi.inpe.br:1905/dpi.inpe.br/banon-pc.1905/2013/11.19.13.01?querylist=author+{Gerald+Jean+Francis+Banon}
	http://banon-pc.dpi.inpe.br:1905/J8LNKAN8QWU5H/3F8SLHH?querylist=author+{Gerald+Jean+Francis+Banon}
	http://banon-pc.dpi.inpe.br:1905/J8LNKAN8QWU5H/3F8SLHH?author=Gerald+Jean+Francis+Banon
	http://mtc-m21b.sid.inpe.br/J8LNKAN8QWU5H/3F8SLHH?author=Gerald+Jean+Francis+Banon
	http://urlib.net/J8LNKAN8QWU5H/3F8SLHH?author=Gerald+Jean+Francis+Banon
	returns the group of the author:
	DPI-OBT-INPE-MCTI-GOV-BR 
-->

<html>
	<head>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
		<link rel="stylesheet" href="../lib/estilo1.css">
		<title>From author to group using INPE Web-Service</title>
	</head>
	<body>
		<?php
			$wsdl = "http://150.163.12.105/institucional/pessoaws?wsdl";
			$pkname = "http://iws.sti.inpe.br/";
			
//			$nome2 = "Gerald Jean Francis Banon";
			$nome2 = htmlspecialchars($_GET["author"]);
			if (empty($nome2)) {
				echo "empty query string";
				return;
			}			
//			echo "--" . $nome2 . "--";
// listPessoasByNome
// nome (nome2) -> pess_id (aux2)		
			$metodo2 = "listPessoasByNome";
			$param2 = array ('nomeSistema' => 'acessoainformacao', 'chaveSistema' => 'GLiCh0BL6jS7f9O82BgEZqVvcGIGiN', 'nome' => $nome2);			
			$client2 = new nusoap_client($wsdl);
			$result2 = $client2->call($metodo2, $param2, $pkname, 'listPessoasByNome');
//			echo "--" . $result2 . "--";
//			if ($result2 == "<Pessoas> </Pessoas> ") {
			if (preg_match("/<Pessoas> <\/Pessoas>/", $result2)) {
				echo "not found";
			} else {
				$x2 = "<?xml version='1.0' ?>".utf8_encode($result2);			
				$xml2 = simplexml_load_string($x2);	
				$aux2 = (int)$xml2->Pessoa->pess_id;				
				//echo " aux2: " . $aux2 ;		

// getPessoa
// PessoaId (aux2) -> unid_id (aux3)
// PessoaId (aux2) -> unid_sigla
				$metodo3 = "getPessoa";
				$param3 = array ('PessoaId' => $aux2, 'nomeSistema' => 'acessoainformacao', 'chaveSistema' => 'GLiCh0BL6jS7f9O82BgEZqVvcGIGiN');	
				$client3 = new nusoap_client($wsdl);
				$result3 = $client3->call($metodo3, $param3, $pkname, 'getPessoa');				
				$x3 = "<?xml version='1.0' ?>".utf8_encode($result3);			
				$xml3 = simplexml_load_string($x3);	
				$aux3 = (string)$xml3->Unidade->unid_id;						
				//echo "aux3: " . $aux3;
				
				$wsdl4 = "http://150.163.12.105/institucional/unidadews?wsdl";

// getCoordenacaoByUnidade
// idUnidade ($aux3) -> unid_id (aux4)
				$metodo4 = "getCoordenacaoByUnidade";
				$param4 = array ('nomeSistema' => 'acessoainformacao', 'chaveSistema' => 'GLiCh0BL6jS7f9O82BgEZqVvcGIGiN', 'idUnidade' => $aux3);
				$client4 = new nusoap_client($wsdl4);
				$result4 = $client4->call($metodo4, $param4, $pkname, 'getCoordenacaoByUnidade');					
				$x4 = "<?xml version='1.0' ?>".utf8_encode($result4);			
				$xml4 = simplexml_load_string($x4);		
				$aux4 = (int)$xml4->Unidade->unid_id;
				
				echo $xml3->Unidade->unid_sigla . "-" . $xml4->Unidade->unid_sigla . "-INPE-MCTI-GOV-BR";
			}
		?>		
	</body>
</html>